Loading...
Searching...
No Matches
ConcatenationLoader::Failure Struct Reference

structure representing error information about a failed file More...

## Public Member Functions

| Failure (const OFFilename &fn, const OFString &err, const OFString &uid)
| constructor.

## Public Attributes

OFFilename | fname
| filename
OFString | errorText
| error text
OFString | sopInstance
| SOP Instance UID.

## Detailed Description

structure representing error information about a failed file

## Constructor & Destructor Documentation

## Failure()

ConcatenationLoader::Failure::Failure | ( | const OFFilename & | fn,
|  | const OFString & | err,
|  | const OFString & | uid )

inline

constructor.

Parameters

  fn | filename
  err | error text
  uid | SOP instance UID

References errorText, fname, and sopInstance.

The documentation for this struct was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/concatenationloader.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0